<%@ page language="java" import="java.util.*" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<c:set var="contextPath" value="${pageContext.request.contextPath}"></c:set>

<%@include file="/WEB-INF/page/header.jsp" %>
<script>changeMenu(5,4);//左边菜单active</script>
<div class="row white-bg border-bottom white-bg page-heading">
	<div class="col-lg-12">
		<h2>保单信息</h2>
		<ol class="breadcrumb">
			<li>主页</li>
			<li><a>保单信息</a></li>
			<li class="active"><strong>审核失败</strong></li>
		</ol>
	</div>
</div>

<div class="wrapper wrapper-content">
	<div class="row">
		<div class="col-lg-12">
			<div class="ibox float-e-margins">
				<div class="ibox-content">
					<div class="row">
                        <div class="col-sm-2">
                        	<div class="input-group m-b"><span class="input-group-addon"><i class="fa fa-calendar"></i></span>
                        	<input type="text" class="form-control m-b-xs" placeholder="订单日期" id="searchDate">
                        	</div>
                        </div>
                        <div class="col-sm-2">
                        	<select class="form-control" id="orderType">
								<option selected value="">全部</option>
								<option value="10">已取消</option>
								<option value="20">审核失败</option>
							</select>
                        </div>
                        <div class="col-sm-3">
                            <div class="input-group"><input type="text" id="keyword" placeholder="订单号、法院、律师" class="form-control m-b-xs"><span class="input-group-btn">
                                <button type="button" style="height:34px;" class="btn btn-sm btn-primary" onclick="search()"> 查询</button> </span></div>
                        </div>
                    </div>
					<div class="row">
						<div class="col-md-12 jqGrid_wrapper">
							<table id="gridTable5"></table>
							<div id="gridPager5"></div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<div id="modal-failReason" class="modal fade" tabindex="-1">
	<div class="modal-dialog" style="max-width: 400px;">
		<div class="modal-content">
			<div class="modal-header">
      			<div class="table-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">
						<span class="white">&times;</span>
					</button>
					原因
				</div>
	      	</div>
	      	<div class="modal-body">
	      		<div class="form-group" id="modal-failReasonDetail"></div>
	      	</div>
		</div>
	</div>
</div>

<!-- 模态框（Modal） -->
<div id="modal-dispatch" class="modal fade" tabindex="-1" data-backdrop="static">
  <div class="modal-dialog" style="min-width: 400px;">
    <div class="modal-content">
       <div class="modal-header bg-primary">
           <button type="button" class="close white" data-dismiss="modal" aria-hidden="true">×</button>
           <h4 class="modal-title text-center" id="myModalLabel">配送</h4>
       </div>
     <div class="modal-body" id="modal-view-order-body">
      <form id="viewOrderForm" class="form-horizontal">
        <input type="hidden" name="orderId" id="modal-dispatch-orderId" />
        <div class="col-sm-12 text-left" style="margin-bottom:15px;">请谨慎操作，如果虚假出函，则关闭服务！</div>  
        <div class="form-group text-left" id="mod-audit-LawyerName-div">
          <label class="col-sm-3 control-label">收件人:</label>
          <label class="control-label" id="modal-dispatch-name"></label>   
        </div>
        <div class="form-group text-left" id="mod-audit-LawyerName-div">
          <label class="col-sm-3 control-label">联系电话:</label>
          <label class="control-label" id="modal-dispatch-phone"></label>
        </div>
        <div class="form-group text-left" id="mod-audit-LawyerName-div">
         <label class="col-sm-3 control-label">收件地址:</label>
         <label class="control-label" id="modal-dispatch-address"></label>
        </div>
        <hr class="style-one" style="border: 0;height: 1px;background: #333;
        background-image: linear-gradient(to right, #ccc, #333, #ccc);">        
        <div class="form-group text-left" id="mod-audit-LawyerName-div">
          <div class="col-sm-3 control-label">配送方式:</div>
          <div class="col-sm-2 control-label text-left">
             <select class="select" id="orderShippingType" onchange="orderShippingTypeOnchange();">
             <option value="4" selected = "selected">快递配送</option>
             <option value="6">专人送函</option>
             <option value="5">同城闪送</option>
          </select>
          </div>
        </div>
        <div class="form-group text-left" id="modal-Ship-company">
          <label class="col-sm-3 control-label text-left">快递公司:</label>
          <div class="col-sm-9">
            <input type="text" id="mod-dispatch-company" class="col-sm-9"/>
          </div>
        </div>      
        <div class="form-group text-left" id="modal-Ship-id">
          <label class="col-sm-3 control-label text-left">快递单号:</label>
          <div class="col-sm-6">
            <input type="text" id="mod-dispatch-id" class="col-sm-9"/>
          </div>
        </div>
        
        <div class="form-group text-left" id="modal-Ship-name">
          <label class="col-sm-3 control-label text-left">配送员姓名:</label>
          <div class="col-sm-9">
            <input type="text" id="mod-dispatch-name" class="col-sm-9"/>
          </div>
        </div>      
        <div class="form-group text-left" id="modal-Ship-mobile">
          <label class="col-sm-3 control-label text-left">配送员电话:</label>
          <div class="col-sm-6">
            <input type="text" id="mod-dispatch-mobile" class="col-sm-9"/>
          </div>
        </div>     
        <!-- <div class="form-group text-left" id="modal-Ship-time">
          <label class="col-sm-3 control-label text-left">送达时间:</label>
          <div class="col-sm-6">
            <input class="form-control" id="dispatch1ReachTime" size="16" type="text" placeholder="送达时间" readonly/> 
          </div>
        </div> -->
        <hr class="style-one" style="border: 0;height: 1px;background: #333;
        background-image: linear-gradient(to right, #ccc, #333, #ccc);">
      </form>
     </div>
     <div class="modal-footer no-margin-top">
      <div class="text-center">     
        <button class="btn " data-dismiss="modal"><i class="fa fa-share bigger-160"></i>取消</button>
        <button class="btn btn-primary" type="button" id="mod-dispatch-submit"><strong>确定</strong></button>
      </div>
     </div>
   </div>
  </div>
</div>

<%@include file="/WEB-INF/page/order/orderDetail.jsp" %>

<%@include file="/WEB-INF/page/footer.jsp" %>

<link href="${contextPath}/static/css/plugins/jQueryUI/jquery-ui-1.10.4.custom.min.css" rel="stylesheet" />
<link href="${contextPath}/static/css/plugins/jqGrid/ui.jqgrid.css" rel="stylesheet">

<script src="${contextPath}/static/js/plugins/jqGrid/jquery.jqGrid.min.js"></script>
<script src="${contextPath}/static/js/plugins/jqGrid/i18n/grid.locale-cn.js"></script>

<!-- Data picker -->
<script src="${contextPath}/static/js/plugins/datapicker/bootstrap-datepicker.js"></script>
   
<script type="text/javascript">
	var gridTable1 = null;
	var grid_selector = "#gridTable5";
	var pager_selector = "#gridPager5";
	jQuery(function($) {
		$('#searchDate').datepicker({
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            calendarWeeks: true,
            autoclose: true,
            format: "yyyy-mm-dd"
        });
		
		initGridTable();
		// resize to fit page size
   		$(window).on("resize.jqGrid", function() {
   			$(grid_selector).jqGrid("setGridWidth", $(".page-content").width());
   		});
   		// resize on sidebar collapse/expand
   		var parent_column = $(grid_selector).closest("[class*='col-']");
   		$(document).on("settings.ace.jqGrid", function(ev, event_name, collapsed) {
   			if (event_name === "sidebar_collapsed" || event_name === "main_container_fixed") {
   				// setTimeout is for webkit only to give time for DOM changes and then redraw!!!
   				setTimeout(function() {
   					$(grid_selector).jqGrid("setGridWidth", parent_column.width());
   				}, 0);
   			}
   		});
   		
   		$(document).one('ajaxloadstart.page', function(e) {
   			$(grid_selector).jqGrid('GridUnload');
   			$('.ui-jqdialog').remove();
   		});

	 	// Add responsive to jqGrid
        $(window).bind('resize', function () {
            var width = $('.jqGrid_wrapper').width();
            gridTable1.setGridWidth(width);
        });
	});

	function initGridTable(){
		gridTable1 = jQuery(grid_selector).jqGrid({
			subGrid : false,
   			url : "${contextPath}/order/getOrders?orderState=4&orderServiceType=1",//
   			datatype : "json",
   			height : "auto",
   			autowidth:true,
   			colNames : ["公司名称", "订单号", "订单状态", "受理法院", "标的金额（元）", "标的类型", "保费（元）", "提交时间", "审核时间","申请人","操作"],
   			colModel : [{
   				name : "companyName",
   				index : "companyName",
   				label : "公司名称",
   				width : 120,
   				search : false
        	},{
   				name : "orderId",
   				index : "orderId",
   				label : "订单号",
   				width : 100,
   				search : false
        	},{
   				name : "orderState",
   				index : "orderState",
   				label : "订单状态",
   				width : 60,
   				sortable: false,
   				search : false
        	},{
   				name : "courtName",
   				index : "courtName",
   				label : "受理法院",
   				width : 160,
   				search : false
        	},{
   				name : "sqbd",
   				index : "sqbd",
   				label : "标的金额（元）",
   				width : 100,
   				search : false
        	},{
   				name : "bdCode",
   				index : "bdCode",
   				label : "标的类型",
   				width : 60,
   				sortable: false,
   				search : false
        	},{
   				name : "bf",
   				index : "bf",
   				label : "保费（元）",
   				width : 80,
   				search : false
        	},{
   				name : "createDate",
   				index : "createDate",
   				label : "提交时间",
   				width : 80,
   				search : false
        	},{
   				name : "checkDate",
   				index : "checkDate",
   				label : "审核时间",
   				width : 80,
   				search : false
        	},{
   				name : "contactName",
   				index : "contactName",
   				label : "申请人",
   				width : 60,
   				search : false
        	},{
   				align : "center",
   				name : "failReason",
   				index : "failReason",
   				label : "操作",
   				width : 150,
   				sortable: false,
   				fixed:true,
   				viewable:false,
   				formatter:operationLink
        	}],
   			sortname : "createDate",
   			sortorder : "desc",
   			viewrecords : true,
   			rowNum : 10,
   			rowList : [ 10, 20, 30 ],
   			pager : pager_selector,
   			altRows : true,
   			//toppager : true,
   			multiselect : false,
   			//multikey : "ctrlKey",
   	        multiboxonly : true,
   	        rownumbers:true,  
         	rownumWidth:30, 
   	        
		});
	}

	//操作链接
	function operationLink(cellvalue, options, rowObject){
		var result = '<a href="javascript:void(0);" style="color:blue" onclick="showfailReason(\'' + cellvalue + '\')">查看原因</a>&nbsp;|&nbsp;';
		if("已配送" == rowObject.shippingState){
		  result += '<a href="javascript:void(0);" style="color:blue" onclick="orderShipShow1()">已配送</a>';
		}else{
		  result += '<a href="javascript:void(0);" style="color:blue" onclick="orderShipShow(\'' + rowObject.orderId + '\')">配送</a>';
		}
		result += '&nbsp;|&nbsp;<a href="javascript:void(0);" style="color:blue" onclick="showdetail(\''+rowObject.orderId+'\')">详细</a>';
		return result;
	}
	
    function orderShipShow1(){
        alert("已配送");
        return;
      }
      function orderShipShow(id){
          var url = '${contextPath}/order/getOrderWLInfo';
          var parameters = {"orderId":id};
          $.post(url, parameters, function (data) {
             if (data.success) {
              $("#modal-dispatch-orderId").val(id);
              $("#modal-dispatch-address").html(data.wlInfos[0].address);
              $("#modal-dispatch-name").html(data.wlInfos[0].receiver);
              $("#modal-dispatch-phone").html(data.wlInfos[0].mobile);

              if(data.orderShippingType==4){
                  $("#orderShippingType option[value='4']").attr("selected", true);
                  $("#orderShippingType option[value='5']").attr("selected", false);
                  $("#orderShippingType option[value='6']").attr("selected", false);
               } else if(data.orderShippingType==5){
                   $("#orderShippingType option[value='4']").attr("selected", false);
                   $("#orderShippingType option[value='5']").attr("selected", true);
                   $("#orderShippingType option[value='6']").attr("selected", false);
               } else if(data.orderShippingType==6){
                   $("#orderShippingType option[value='4']").attr("selected", false);
                   $("#orderShippingType option[value='5']").attr("selected", false);
                   $("#orderShippingType option[value='6']").attr("selected", true);
               }
              if (data.orderShippingType==5||data.orderShippingType==6) {
                  $("#modal-Ship-company").hide();
                  $("#modal-Ship-id").hide();
                  $("#modal-Ship-name").show();
                  $("#modal-Ship-mobile").show();
                  $("#modal-Ship-time").show();
               } else {
                  $("#modal-Ship-company").show();
                  $("#modal-Ship-id").show();
                  $("#modal-Ship-name").hide();
                  $("#modal-Ship-mobile").hide();
                  $("#modal-Ship-time").hide();
               }
              $("#mod-dispatch-company").val("");
              $("#mod-dispatch-id").val("");
              $("#mod-dispatch-name").val("");
              $("#mod-dispatch-mobile").val("");
              //$("#modal-Ship-time").val("");  
              $("#modal-dispatch").modal('toggle');
             } else {
              alert("获取配送信息出错："+data.message);
             }
          });
      }	
      
      
      function errorCallbackDefault(data){
          
      }
      
      function loadWlInfoCallback(data){
          if(data.success){
             var ids=['dispatch1SendType','dispatch1Receiver','dispatch1TdRandom1','dispatch1Mobile','dispatch1TdRandom2','dispatch1Address',
                      'dispatch1ReachTime','dispatch1WlCompany','dispatch1WlOrderId','dispatch1Id','dispatch2SendType','dispatch2Receiver',
                      'dispatch2TdRandom1','dispatch2Mobile','dispatch2TdRandom2','dispatch2Address','dispatch2ReachTime',
                      'dispatch2WlCompany','dispatch2WlOrderId','dispatch2Id'];
             var dateDivids = ['dispatch1ReachTimeDiv','dispatch2ReachTimeDiv'];
             for(var i in ids){
                $('#' + ids[i]).html('');
             }
             var wls = data.wlInfos;
             var wl = null;
             var m = null;
             var iShow = true;
             for(var j in wls){
                iShow = false;
                wl = wls[j];
                m = parseInt(wl.fileType);
                $('#' + ids[m * 10 + 2]).html('');
                $('#' + ids[m * 10 + 4]).html('');
                if('0' == wl.sendType){
                   needInitDate = true;
                   $('#' + ids[m * 10]).html('快递配送');
                   $('#' + ids[m * 10 + 2]).html(
                      '<input class="form-control" id="' + ids[m * 10 + 7] +'" size="16" type="text" placeholder="快递公司名称">'
                   );
                   $('#' + ids[m * 10 + 4]).html(
                      '<input class="form-control" id="' + ids[m * 10 + 8] +'" size="16" type="text" placeholder="快递单号">'
                   );
                }else{
                   $('#' + ids[m * 10]).html('上门配送');
                   $('#' + ids[m * 10 + 2]).html(
                      '<div class="input-group date form_datetime" data-date-format="yyyy-mm-dd  hh:ii" id="' + dateDivids[m] + '">' + 
                                 '<input class="form-control" id="' + ids[m * 10 + 6] +'" size="16" type="text" placeholder="送达时间" readonly/>' + 
                            '<span class="input-group-addon"><span class="glyphicon glyphicon-th"></span></span>' + 
                         '</div>'    
                   );
                   initDatetimepicker(dateDivids[m]);
                }
                $('#' + ids[m * 10 + 1]).html(wl.receiver);
                $('#' + ids[m * 10 + 3]).html(wl.mobile);
                $('#' + ids[m * 10 + 5]).html(wl.address);
                $('#' + ids[m * 10 + 9]).html(wl.id);
             }
             if(iShow){
                $("#ssdbOrderId").html(data.orderId);
                $("#dispatchTypeTr").show();
                dispatchTypeOnchange();
             }
             $("#modal-dispatch").modal('toggle');
          }else{
             showMsg(data.message);
          }
       }    
      function orderShippingTypeOnchange(){
        var orderShippingType = $("#orderShippingType").val();
        if (orderShippingType==5||orderShippingType==6) {
           $("#modal-Ship-company").hide();
           $("#modal-Ship-id").hide();
           $("#modal-Ship-name").show();
           $("#modal-Ship-mobile").show();
           $("#modal-Ship-time").show();
        } else {
           $("#modal-Ship-company").show();
           $("#modal-Ship-id").show();
           $("#modal-Ship-name").hide();
           $("#modal-Ship-mobile").hide();
           $("#modal-Ship-time").hide();
        }
      }
      function dispatchTypeOnchange(){
          var value = $('#dispatchType').val();
          var st = '';
          var obj = ['dispatch1TdRandom1','dispatch1TdRandom2','dispatch2TdRandom1','dispatch2TdRandom2'];
          for(var i in obj){
             $('#' + obj[i]).html('');
          }
          if('0' == value){
             $('#dispatch1TdRandom1').html('<input class="form-control" id="dispatch1WlCompany" size="16" type="text" placeholder="快递公司名称">');
             $('#dispatch1TdRandom2').html('<input class="form-control" id="dispatch1WlOrderId" size="16" type="text" placeholder="快递单号">');
             $('#dispatch2TdRandom1').html('<input class="form-control" id="dispatch2WlCompany" size="16" type="text" placeholder="快递公司名称">');
             $('#dispatch2TdRandom2').html('<input class="form-control" id="dispatch2WlOrderId" size="16" type="text" placeholder="快递单号">');
             st = '快递配送';
          }else{
             $('#dispatch1TdRandom1').html(
                '<div class="input-group date form_datetime" data-date-format="yyyy-mm-dd  hh:ii" id="dispatch1ReachTimeDiv">' + 
                           '<input class="form-control" id="dispatch1ReachTime" size="16" type="text" placeholder="送达时间" readonly/>' + 
                      '<span class="input-group-addon"><span class="glyphicon glyphicon-th"></span></span>' + 
                   '</div>'    
             );
             $('#dispatch2TdRandom1').html(
                   '<div class="input-group date form_datetime" data-date-format="yyyy-mm-dd  hh:ii" id="dispatch2ReachTimeDiv">' + 
                              '<input class="form-control" id="dispatch2ReachTime" size="16" type="text" placeholder="送达时间" readonly/>' + 
                         '<span class="input-group-addon"><span class="glyphicon glyphicon-th"></span></span>' + 
                      '</div>'    
             );
             initDatetimepicker('dispatch1ReachTime');
             initDatetimepicker('dispatch2ReachTime');
             st = '上门配送';
          }
          $('#dispatch1SendType').html(st);
          $('#dispatch2SendType').html(st);
        }    
      
      function initDatetimepicker(id){
          $('#' + id).datetimepicker({
             language: 'zh-CN',
               weekStart: 1,
               todayBtn:  1,
             autoclose: 1,
             todayHighlight: 1,
             startView: 2,
             forceParse: 0,
               showMeridian: 1
           });
        }
      
      
      //保存配送信息成功后回调
      function saveWlInfoCallback(data){
         notSubmitSaveWlInfo = true;
         if(data.success){
            showMsg('保存成功');
            $("#modal-dispatch").modal('toggle');
            reloadGrid();
         }else{
            showMsg(data.message);
         }
      }
      
      //保存配送信息失败后回调
      function saveWlInfoCallbackErrorCallback(data){
         notSubmitSaveWlInfo = true;
      }    
      
      //显示配送
      function dispatchOperation(id){
         currentOrderId = id;
         //var ids = ['71','72','73'];
         var ids = ['71'];
         for(var i in ids){
            $('#div' + ids[i]).html('');
         }
         loadWlInfo();
      }
      
      
      $('#mod-dispatch-submit').on('click', function() {
        saveShipInfo();
       });
      //保存配送信息
      function saveShipInfo(){
        var orderId = $("#modal-dispatch-orderId").val();
        var company = $("#mod-dispatch-company").val();
        var id = $("#mod-dispatch-id").val();
        var name = $("#mod-dispatch-name").val();
        var mobile = $("#mod-dispatch-mobile").val();
        var orderShippingType = $("#orderShippingType").val();
        var url = '${contextPath}/order/saveShipInfo';
        
        var parameters = {'orderId':orderId,'company':company,'id':id,'name':name,'mobile':mobile,'orderShippingType':orderShippingType};
        postData(url, parameters, saveWlInfoCallback, saveWlInfoCallbackErrorCallback);
      }      

	function reloadGrid(){
		gridTable1.trigger('reloadGrid');	
	}
	
   //显示信息
   function showMsg(msg){
      if(msg != undefined && msg.length > 0){
         alert(msg);
      }
   }	

	function search(){
		var keyword =$("#keyword").val();
		var searchDate =$("#searchDate").val();
		var orderType = $("#orderType").val();
		gridTable1.setGridParam({postData:{'keyword':keyword,'searchDate':searchDate,'orderState':1,'orderType':orderType},url : '${contextPath}/order/getOrders',page:1}).trigger('reloadGrid');
	}
	
	   //向后台请求数据
	   function postData(url, parameters, successCallback, errorCallback){
	      $.ajax({
	          type : "POST",
	          url : url,
	          data : parameters,
	          dataType : "json",
	          success : function(data) {
	            successCallback(data); 
	          },
	          error : function(data) {
	            errorCallback(data);
	          }
	       }); 
	   }	
	//显示信息
	function showfailReason(msg){
		$('#modal-failReasonDetail').html(msg);
		$("#modal-failReason").modal('toggle');
	}
</script>
